IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.CF_Cli_Cant_Ref_Temp') 
                   and type = 'FN')
BEGIN
    DROP FUNCTION dbo.CF_Cli_Cant_Ref_Temp
END
GO

CREATE FUNCTION [dbo].[CF_Cli_Cant_Ref_Temp](@Cli INT) 
RETURNS INT
AS
BEGIN

DECLARE @Cab_Grupo INT
DECLARE @Retorno INT

SET @Cab_Grupo = ISNULL((SELECT Id_Cliente_Temp FROM Clientes_Temp WHERE Id_Cliente_Temp = @Cli),0)

IF @Cab_Grupo = 0
	SET @Cab_Grupo = @Cli
	
SET @Retorno = ISNULL((SELECT COUNT(*) + 1 FROM Clientes_Temp WHERE Legajo = CONVERT(VARCHAR(30),@Cab_Grupo) ),1)

RETURN @Retorno
END

